### Method

# Ggit Submodule sync

#### Declaration [src]

    void
    ggit_submodule_sync (
      GgitSubmodule* submodule
      GError** error
    )

#### Description [src]

Copies the information about the submodules URL into the checked out submodule config, acting like “git submodule sync”. This is useful if you have altered the URL for the submodule (or it has been altered by a fetch of upstream changes) and you need to update your local repo.